SystemIncludePath (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.types.SystemIncludePath class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.types
Class SystemIncludePath

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.Path
                  net.sf.antcontrib.cpptasks.types.ConditionalPath
                      net.sf.antcontrib.cpptasks.types.SystemIncludePath

All Implemented Interfaces:
  java.lang.Cloneable

    public class SystemIncludePath

extends ConditionalPath

A system include path. Files located using a system include path will not participate in dependency analysis. Standard include paths for a compiler should not be specified since these should be determined from environment variables or configuration files by the compiler adapter. Works like other paths in Ant with with the addition of "if" and "unless" conditions.

Author:
  Curt Arnold

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.types.Path
`org.apache.tools.ant.types.Path.PathElement`

Field Summary

Fields inherited from class org.apache.tools.ant.types.Path
`systemBootClasspath, systemClasspath`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SystemIncludePath(org.apache.tools.ant.Project project)`
`SystemIncludePath(org.apache.tools.ant.Project p, java.lang.String path)`

Method Summary
`void` | `execute()`

Methods inherited from class net.sf.antcontrib.cpptasks.types.ConditionalPath
`isActive, setIf, setUnless`

Methods inherited from class org.apache.tools.ant.types.Path
`add, addDirset, addExisting, addExisting, addExtdirs, addFilelist, addFileset, addJavaRuntime, append, clone, concatSystemClasspath, concatSystemClasspath, createPath, createPathElement, dieOnCircularReference, list, setLocation, setPath, setRefid, size, toString, translateFile, translateFileSep, translatePath`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemIncludePath

    public SystemIncludePath(org.apache.tools.ant.Project project)

### SystemIncludePath

    public SystemIncludePath(org.apache.tools.ant.Project p,
                             java.lang.String path)

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.